Get company details SERVER-SIDE
This page covers basic update of company details and services. This is intended for ERP-systems that run in the cloud without any desktop software, or at least when all communication to InExchange go through secured servers.
Registration process is done in the background but once you’ve registered the company you can start to use the API for that company.
Step 1: Request a token
To perform an update on your company you will need a token to perform actions with. You create tokens with the Create Token call. Tokens can be set to be valid for a period of time or set to never expire. You need to decide if you want to store the token of each company in your system, or request a new one for each communication session. We recommend that tokens are created with a short TTL of 10 minutes.
Request Example
POST /v1/api/clientTokens/create HTTP/1.1
APIKey: --YOUR API KEY HERE--
Content-Type: application/json; charset=utf-8
Host: testapi.inexchange.se
Content-Length: 183
Expect: 100-continue
{
"erpId": "635604692357550266",
"validTo": "2026-05-26T12:54:10"
}
Response Example
HTTP/1.1 200 OK
Cache-Control: no-cache
Pragma: no-cache
Content-Length: 63
Content-Type: application/json; charset=utf-8
Expires: -1
Server: Microsoft-IIS/8.5
X-AspNet-Version: 4.0.30319
Date: Tue, 26 May 2026 12:54:10 GMT
{
"token": "--CLIENT TOKEN HERE--"
}
Step 2: Get company details
When you have the token for the desired company make a Companies details call. This will return the details of said company. For more information on the details in the response see schema for Company details response.
Request Example
GET /v1/api/companies/details/90c68e10-45e2-480a-809b-e2548808b111 HTTP/1.1
Host: testapi.inexchange.se
ClientToken: "--CLIENT TOKEN HERE--"
Accept: */*
Response Example
HTTP/1.1 200 OK
Cache-Control: no-cache
Pragma: no-cache
Content-Length: 2
Content-Type: application/json; charset=utf-8
Expires: -1
Server: Microsoft-IIS/8.5
X-AspNet-Version: 4.0.30319
X-Powered-By: ASP.NET
Date: Tue, 26 May 2026 12:54:10 GMT
{
"companyId": "90c68e10-45e2-480a-809b-e2548808b111",
"name": "Demo Company 083440-2861",
"altName": "",
"gln": "",
"streetName": "",
"postBox": "",
"city": "Skövde",
"postalZone": "",
"countryCode": "SE",
"phoneNo": "",
"orgNo": "083440-2861",
"vatNo": "SE083440286101",
"receiveElectronicInvoiceCapability": "CannotReceiveElectronicInvoices",
"sendsElectronicOrderCapability": "CannotSendElectronicOrders",
"sendsElectronicInvoiceCapability": "SendsElectronicInvoices",
"receiveElectronicOrderCapability": "CannotReceiveElectronicOrders",
"hasInvoiceChecks": false,
"invoiceChecks": {
"buyerReferenceNo": false,
"buyerReferenceName": false,
"buyerOrderNo": false,
"buyerName": false
},
"peppolParticipantIdentifiers": [
"iso6523-actorid-upis::0007:0834402861"
],
"address": "",
"address2": "",
"postalCode": ""
}